Skip to main content
POST

Authorizations

api_access_token
string
header
required

API Access Token (underscore format)

api_account_id
string
header
required

Account ID (underscore format for unified message endpoints)

Path Parameters

account_id
string
required

ID of the account in Domix AI

Example:

"16"

conversation_id
integer
required

The ID of the conversation

Example:

102

Body

application/json
content
string
required
Example:

"Hello, how can we assist you?"

message_type
enum<string>
default:outgoing
Available options:
incoming,
outgoing
private
boolean
default:false

If true, message is recorded as an internal staff note

Response

Message created successfully

id
integer
Example:

56

content
string
Example:

"Hello!"

message_type
string
Example:

"outgoing"

created_at
integer
Example:

1693500000

private
boolean
Example:

false

status
string
Example:

"sent"

sender
object
attachments
object[]